Request
curl -X PATCH https://sandbox.api.lendeasy.ai/v1/servicing/webhook-subscriptions/$WEBHOOK_SUBSCRIPTION_ID \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"eventTypes": [
"payment.posted",
"payment.returned",
"case.transitioned"
],
"expectedVersion": 3
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/webhook-subscriptions/${webhookSubscriptionId}`, {
method: "PATCH",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"eventTypes": [
"payment.posted",
"payment.returned",
"case.transitioned"
],
"expectedVersion": 3
}),
});
requests.patch(
f"https://sandbox.api.lendeasy.ai/v1/servicing/webhook-subscriptions/{webhook_subscription_id}",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"eventTypes": [
"payment.posted",
"payment.returned",
"case.transitioned"
],
"expectedVersion": 3
},
)
{
"webhookSubscriptionId": "whsub_PORTFOLIO_7",
"status": "active",
"url": "https://events.example.test/lendeasy",
"eventTypes": [
"payment.posted",
"payment.returned",
"case.transitioned"
],
"apiVersion": "2026-07-01",
"secretVersion": 2,
"createdAt": "2026-08-01T18: 00:00Z",
"version": 4
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}